package com.zcloud.modules.kangzai.dao;

import com.zcloud.modules.kangzai.entity.BusRiverStructuresPointEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc (BusRiverStructuresPoint)表数据库访问层
 * @Date 2025-06-10 16:25:26
 */
@Mapper
public interface BusRiverStructuresPointDao extends BaseMapper<BusRiverStructuresPointEntity> {

    /**
     * 分页查询
     */
    IPage<BusRiverStructuresPointEntity> listPage(@Param("page") Page<Map<String, Object>> page, @Param("params") Map<String, Object> params);
}
