package com.zcloud.modules.kangzai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author fangjiakai
 * @Desc (BusRiverStructuresPoint)实体
 * @Date 2025-06-10 16:25:26
 */
@Data
@TableName("bus_river_structures_point")
public class BusRiverStructuresPointEntity implements Serializable {
    private static final long serialVersionUID = 441283777231408600L;
    @TableId(type = IdType.AUTO)
    private Long riverStructuresPointId;
    private String riverStructuresId;
    //经度
    @ApiModelProperty(value = "经度")
    private Double longitude;
    //纬度
    @ApiModelProperty(value = "纬度")
    private Double latitude;

}

