package com.zcloud.modules.kangzai.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.kangzai.entity.BusRiverRiskVillagesEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 河道行洪隐患区村庄清单(BusRiverRiskVillages)表服务接口
 * @Date 2025-06-09 09:44:24
 */
public interface BusRiverRiskVillagesService extends IService<BusRiverRiskVillagesEntity> {

    BusRiverRiskVillagesEntity queryByFlexibleParams(String paramName, Object paramValue);

    List<BusRiverRiskVillagesEntity> queryListByFlexibleParams(String paramName, Object paramValue);

    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String riverRiskVillagesId, String userId);

}
