package com.zcloud.modules.oa.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zcloud.modules.oa.entity.OaDepartmentEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 部门管理
 *
 */
@Mapper
public interface OaDepartmentDao extends BaseMapper<OaDepartmentEntity> {

	/**
	 * 根据父部门，查询子部门
	 * @param parentId 父部门ID
	 */
	List<OaDepartmentEntity> queryListParentId(String parentId,String corpinfoId);

}
