package com.zcloud.modules.oa.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcloud.modules.oa.entity.OaPostEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 岗位(OaPost)表数据库访问层
 * @Date 2023-10-17 16:31:25
 */
@Mapper
public interface OaPostDao extends BaseMapper<OaPostEntity> {

    /**
     * 分页查询
     */
    IPage<Map<String,Object>> listPage(@Param("page") Page<Map<String,Object>> page, @Param("params") Map<String, Object> params);
}
