package com.zcloud.modules.kangzai.dao;

import com.zcloud.modules.kangzai.entity.BusRiverSectionsEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 河流县区段信息表(BusRiverSections)表数据库访问层
 * @Date 2025-06-09 09:44:25
 */
@Mapper
public interface BusRiverSectionsDao extends BaseMapper<BusRiverSectionsEntity> {

    /**
     * 分页查询
     */
    IPage<BusRiverSectionsEntity> listPage(@Param("page") Page<Map<String, Object>> page, @Param("params") Map<String, Object> params);
}
