package com.zcloud.modules.kangzai.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.kangzai.entity.BusRiverStructuresEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 河流覆盖物(BusRiverStructures)表服务接口
 * @Date 2025-06-10 16:25:26
 */
public interface BusRiverStructuresService extends IService<BusRiverStructuresEntity> {

    BusRiverStructuresEntity queryByFlexibleParams(String paramName, Object paramValue);

    List<BusRiverStructuresEntity> queryListByFlexibleParams(String paramName, Object paramValue);

    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String riverStructuresId, String userId);

}
